using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGridToolTipCellSelection : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }
    protected void RadToolTipManager1_AjaxUpdate(object sender, ToolTipUpdateEventArgs e)
    {
        TextBoxUserControl userControl = LoadControl("~/TextBoxUserControl.ascx") as TextBoxUserControl;
        userControl.TextBoxValue = e.Value;
        e.UpdatePanel.ContentTemplateContainer.Controls.Add(userControl);
    }
    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem)
        {
            GridDataItem dataItem = e.Item as GridDataItem;
            GridTableCell cell = dataItem["GridImageColumnName"] as GridTableCell;
            DataRowView data = dataItem.DataItem as DataRowView;

            string comment = data["ShipCountry"].ToString();
            Image image = cell.Controls[0] as Image;
            image.Style["cursor"] = "pointer";

            RadToolTipManager1.TargetControls.Add(image.ClientID, comment, true);
        }
    }
}